Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.services
Class StringLocation

    java.lang.Object
      org.apache.tapestry5.ioc.internal.services.StringLocation

All Implemented Interfaces:
  Location

    public final class StringLocation

extends java.lang.Object
implements Location

Implementation of `Location` used when the underlying resource isn't really known.

Constructor Summary
`StringLocation(java.lang.String description, int line)`

Method Summary
`int` | `getColumn()` Returns 0.
`int` | `getLine()` The line number within the resource, if known, or -1 otherwise.
`Resource` | `getResource()` Returns null; we don't know where the file really is (it's probably a class on the class path).
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringLocation

    public StringLocation(java.lang.String description,
                          int line)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getColumn

    public int getColumn()

  Returns 0.

  Specified by:
    `getColumn` in interface `Location`

### getLine

    public int getLine()

  Description copied from interface: `Location`
  The line number within the resource, if known, or -1 otherwise.

  Specified by:
    `getLine` in interface `Location`

### getResource

    public Resource getResource()

  Returns null; we don't know where the file really is (it's probably a class on the class path).

  Specified by:
    `getResource` in interface `Location`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.